Skip to main content
POST
/
data
/
projects
/
{projectId}
/
table
/
{tableName}
/
import
Import CSV
curl --request POST \
  --url https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: multipart/form-data' \
  --form file='@example-file' \
  --form 'request=<string>'
import requests

url = "https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/import"

files = { "file": ("example-file", open("example-file", "rb")) }
payload = { "request": "<string>" }
headers = {"Authorization": "Bearer <token>"}

response = requests.post(url, data=payload, files=files, headers=headers)

print(response.text)
const form = new FormData();
form.append('file', '<string>');
form.append('request', '<string>');

const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};

options.body = form;

fetch('https://partner.peaka.studio/api/v1/data/projects/{projectId}/table/{tableName}/import', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "id": "<string>",
  "status": "<string>",
  "startTime": 123,
  "endTime": 123,
  "progress": 123,
  "result": {}
}

Authorizations

Authorization
string
header
required

Use the Authorization header with the value 'Bearer ' to authenticate. Partner API Keys have full access; Project API Keys are limited to their project scope. Learn more: https://docs.peaka.com/api-reference/authentication

Path Parameters

projectId
string
required

ID of the Project

tableName
string
required

Name of the table to import into

Body

multipart/form-data
file
file
required

CSV file

request
string<json>
required

JSON string with import config

Response

200 - */*

Import job created successfully

id
string
status
string
startTime
integer<int64>
endTime
integer<int64>
progress
integer<int32>
result
object